//
// STIL - Common defines
//

#ifndef _STILDEFS_H
#define _STILDEFS_H

#if defined(__linux__) || defined(__FreeBSD__) || defined(solaris2) || defined(sun) || defined(sparc) || defined(sgi)
#define UNIX
#endif

#if defined(__MACOS__)
#define MAC
#endif

#if defined(__amigaos__)
#define AMIGA
#endif

// On a per OS basis:
// - Define what the pathname separator is.
// - Define what the function is to compare strings case-insensitively.
// - Define what the function is to compare portions of strings case-insensitively.
//
#ifdef UNIX
    #define SLASH '/'
    #define MYSTRCMP strcasecmp
    #define MYSTRNCMP strncasecmp
#else
#ifdef MAC
    #define SLASH ':'
    #define MYSTRCMP stricmp
    #define MYSTRNCMP strnicmp
#else
#ifdef AMIGA
    #define SLASH '/'
    #define MYSTRCMP stricmp
    #define MYSTRNCMP strnicmp
#else // WinDoze
    #define SLASH '\\'
    #define MYSTRCMP stricmp
    #define MYSTRNCMP strnicmp
#endif
#endif
#endif

// Common definition for boolean
// NOTE: Comment these out if 'bool' is a recognized type on your compiler!
// typedef int bool;
// #define false 0
// #define true 1

// These are the hardcoded STIL/BUG field names.
const char    _NAME_STR[]="   NAME: ";
const char  _AUTHOR_STR[]=" AUTHOR: ";
const char   _TITLE_STR[]="  TITLE: ";
const char  _ARTIST_STR[]=" ARTIST: ";
const char _COMMENT_STR[]="COMMENT: ";
const char     _BUG_STR[]="BUG: ";

// Maximum size of a single line in STIL - also accounts for some extra
// padding, just in case.
#define STIL_MAX_LINE_SIZE 110

// Maximum size of a single STIL entry (in bytes).
#define STIL_MAX_ENTRY_SIZE STIL_MAX_LINE_SIZE*100

// HVSC path to STIL.
const char PATH_TO_STIL[]="/Docs/STIL.txt";

// HVSC path to BUGlist.
const char PATH_TO_BUGLIST[]="/DOCUMENTS/BUGlist.txt";

#endif // _STILDEFS_H
